Summary: A free implementation of OpenStep's Foundation Kit
Name: libFoundation
Version: 1.1.3
Release: 10%{?dist}
License: libFoundation license
Group: Development/Libraries
URL: http://www.opengroupware.org/
Source0: http://download.opengroupware.org/nightly/sources/releases/%{name}-%{version}-r155.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gnustep-make, gcc-objc

%description
libFoundation is a free and almost complete implementation of
Foundation Kit as defined by the OpenStep specifications, plus more
classes that come with the newest releases of OPENSTEP 4.x and
Rhapsody.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gnustep-make, gcc-objc

%description devel
This package contains the development files for %{name}.

%prep
%setup -q -n libfoundation

%build
LIBRARY_COMBO=fd source %{_datadir}/gnustep/makefiles/GNUstep.sh
CFLAGS="%{optflags}"; export CFLAGS
./configure
make

%install
rm -rf %{buildroot}
LIBRARY_COMBO=fd source %{_datadir}/gnustep/makefiles/GNUstep.sh
mkdir -p %{buildroot}$GNUSTEP_MAKEFILES/Additional %{buildroot}%{_libdir}
make install \
     GNUSTEP_INSTALLATION_DIR=%{buildroot}$GNUSTEP_SYSTEM_ROOT \
     INSTALL_ROOT_DIR=%{buildroot} \
     FHS_INSTALL_ROOT=%{buildroot}%{_prefix} \
     FHS_LIB_DIR=%{buildroot}%{_libdir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ANNOUNCE AUTHORS COPYING NEWS README* TODO
%{_bindir}/Defaults
%{_libdir}/libFoundation.so.*
%{_datadir}/libFoundation

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_datadir}/gnustep/makefiles/Additional/libFoundation.make
%{_libdir}/libFoundation.so

%changelog
* Wed Sep 20 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.3-10
- With the FHS changes some %%_includedir entries appeared as duplicates.

* Wed Aug  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.3-8
- Build against FHS'd gnustep-make.

* Wed Jul 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.3-6
- Split off a real libFoundation subpackage.

* Fri Jul 14 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.3-5
- Update to 1.1.3.

* Tue Jul 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.2-4
- Remove -lobjc-lf2 patches.

* Sun Mar 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

